Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.index.mapred
Interface IIndexUpdater

All Known Implementing Classes:
  IndexUpdater

    public interface IIndexUpdater

A class implements an index updater interface should create a Map/Reduce job configuration and run the Map/Reduce job to analyze documents and update Lucene instances in parallel.

Method Summary
`void` | `run(Configuration conf, Path[] inputPaths, Path outputPath, int numMapTasks, Shard[] shards)` Create a Map/Reduce job configuration and run the Map/Reduce job to analyze documents and update Lucene instances in parallel.

Method Detail

### run

    void run(Configuration conf,
             Path[] inputPaths,
             Path outputPath,
             int numMapTasks,
             Shard[] shards)
             throws IOException

  Create a Map/Reduce job configuration and run the Map/Reduce job to analyze documents and update Lucene instances in parallel.

  Parameters:
    `conf` -
    `inputPaths` -
    `outputPath` -
    `numMapTasks` -
    `shards` -
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation